> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote Posts

> Quote Posts 엔드포인트를 사용하면 특정 게시물을 인용한 게시물을 조회할 수 있습니다. quote tweets를 다루는 X API v2 standard 티어 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Quote Posts 엔드포인트를 사용하면 특정 게시물을 인용한 게시물을 조회할 수 있습니다. 사용자가 콘텐츠에 대해 어떻게 의견을 나누고 공유하는지 확인하세요.

## 개요

<CardGroup cols={2}>
  <Card title="인용 조회" icon="quote-right">
    게시물의 모든 Quote Posts 가져오기
  </Card>

  <Card title="참여 인사이트" icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-bar-chart.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=e2a41caa858b122416f0005a55a8f143" width="24" height="24" data-path="icons/xds/icon-bar-chart.svg">
    콘텐츠가 어떻게 논의되는지 확인
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                      | Description           |
| :----- | :------------------------------------------------------------ | :-------------------- |
| GET    | [`/2/tweets/:id/quote_tweets`](/x-api/posts/get-quoted-posts) | 게시물의 Quote Posts 가져오기 |

***

## 예시 요청

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/quote_tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

## 예시 응답

```json title="예시 응답" lines wrap icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-brackets.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=ed2428e77bab43e57800e1a590e982fa" theme={null}
{
  "data": [
    {
      "id": "9876543210",
      "text": "Great point! This is exactly what we need.",
      "author_id": "1111111111",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "includes": {
    "users": [
      {
        "id": "1111111111",
        "username": "example_user"
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * App의 [keys and tokens](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="퀵스타트" icon="https://mintcdn.com/x-preview/oR-aRNyj1BKPJtxM/icons/xds/icon-rocket.svg?fit=max&auto=format&n=oR-aRNyj1BKPJtxM&q=85&s=b978d7a9225de31709efbbed5b84e92d" href="/x-api/posts/quote-tweets/quickstart" width="24" height="24" data-path="icons/xds/icon-rocket.svg">
    게시물의 Quote Posts 가져오기
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/posts/get-quoted-posts" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
